# sleep sync

[![NPM version][npm-image]][npm-url]
[![Build status][travis-image]][travis-url]
[![License][license-image]][license-url]
[![Code style][standard-image]][standard-url]

> Block execution synchronously

### Why?

Obviously this is counter to everything we know about _not blocking the event loop_
I wrote this simple wrapper for testing purposes. Sometimes it's useful to simulate
the blocking of the event loop, so we can work on how to handle that scenario
from outside of Node.

### Installation

```
$ npm install --save sleep-sync
```

### Usage

```javascript
const sleep = require('sleep-sync')

doStuffAsync()

sleep(333) // block ALL execution for 333 milliseconds

doMoreStuff()
```

[npm-image]: https://img.shields.io/npm/v/sleep-sync.svg
[npm-url]: https://npmjs.org/package/sleep-sync
[travis-image]: https://img.shields.io/travis/roryrjb/sleep-sync.svg
[travis-url]: https://travis-ci.org/roryrjb/sleep-sync
[license-image]: http://img.shields.io/npm/l/sleep-sync.svg
[license-url]: LICENSE
[standard-image]: https://img.shields.io/badge/code%20style-standard-brightgreen.svg
[standard-url]: https://github.com/feross/standard
