'use strict'

/* global describe, it */

const assert = require('assert')

const sleep = require('../')

describe('blocking', () => {
  it('should block', function () {
    const before = Date.now()
    sleep(3500)
    const after = Date.now()

    assert((after - before) > 3450)
  })

  it('should block', function () {
    const before = Date.now()
    sleep(340)
    const after = Date.now()

    assert((after - before) > 330)
  })
})

describe('errors', function () {
  it('throw error with no argument', function () {
    try {
      sleep()
      assert(false)
    } catch (err) {
      assert(err.message === 'Argument must be a number.')
    }
  })

  it('throw error with incorrect argument type', function () {
    try {
      sleep('hello')
      assert(false)
    } catch (err) {
      assert(err.message === 'Argument must be a number.')
    }
  })
})
